
Redmine - Feature #3568

New view-hook in contextual "(action) menu" in issues show view

2009-07-01 00:38 - Mischa The Evil

Status: Closed Start date: 2009-07-01

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Plugin API Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix   

Description

As proposed in this forum-thread (How add new issues_controller?) it would be nice if we could (at least) add items to these

contextual "menus" using plugin hooks.

I'd suggest to interpret the proposal done in the forum as: "please add a hook like :view_issues_show_contextual".

Regards,

Mischa.

Related issues:

Related to Redmine - Feature #26385: Add a non-hook based API for adding/remo... New

Has duplicate Redmine - Feature #23434: Add hook to action_menu Closed

History

#1 - 2009-07-01 00:41 - Mischa The Evil

- Category set to Plugin API

- Assignee set to Eric Davis

I assign it to you Eric since we've disussed the feature over IRC and because you are the unofficial "maintainer" of the of the hooks-implementation in

Redmine... :-) Correct me if I'm wrong... :silly:

#2 - 2010-11-27 00:40 - Eric Davis

- Assignee deleted (Eric Davis)

I am stepping down from working on Redmine.  If someone else is interesting in working on this issue, feel free to reassign it to them.

Eric Davis

#3 - 2011-03-15 13:56 - Dmitry Salashnik

+100 :)

This feathure really needed for plugins.

Current method is creating own _action_menu.rhtml, but this is way for conflicts with another plugins.

Example: changeauthor plugin & close issue button plugin

#4 - 2011-03-15 13:58 - Dmitry Salashnik

as i see this is really easy for implement. It will be excellent if this feathure will be added into next redmine's release

#5 - 2011-03-15 14:03 - Etienne Massip

- Target version set to Candidate for next major release

#6 - 2013-03-14 21:03 - Eric Mills

+1

#7 - 2013-11-29 16:32 - Florian Schwab

- File issue_context_menu_hook.diff added
https://www.redmine.org/boards/3/topics/7093
http://www.redmine.org/plugins/redmine_changeauthor
http://www.redmine.org/plugins/redmine_close_button


I created a patch, which will hopefully speed things up ;-)

#8 - 2017-07-08 02:34 - Mischa The Evil

- Has duplicate Feature #23434: Add hook to action_menu added

#9 - 2017-07-08 02:39 - Mischa The Evil

- Status changed from New to Closed

- Target version deleted (Candidate for next major release)

- Resolution set to Wont fix

From #6497#note-3:

Jean-Philippe Lang wrote:

We'd better have a non-hook based API for adding items to contextual menus, much like the main menu.

 

See #26385.

Closing this issue as 'wont fix'.

#10 - 2017-07-08 02:45 - Mischa The Evil

- Related to Feature #26385: Add a non-hook based API for adding/removing items to/from contextual menus (like the main menu) added

#11 - 2017-07-08 02:46 - Mischa The Evil

- Subject changed from New view-hook in contextual "menu" in issues show view to New view-hook in contextual "(action) menu" in issues show view

#12 - 2017-08-04 19:15 - Toshi MARUYAMA

- Description updated

Files

issue_context_menu_hook.diff 768 Bytes 2013-11-29 Florian Schwab
